License
7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getAutoActive | GET | Get license auto active |
| modifyAutoActive | POST | Modify license auto active |
| getAutoRenew | GET | Get license auto renew |
| modifyAutoRenew | POST | Modify license auto renew |
| getLicenseNumByCategory | GET | Get available license num |
| getSiteAutoRenew | GET | Get site license auto renew |
| modifySiteAutoRenew | POST | Modify site license auto renew |
getAutoActive
GET /openapi/v1/{omadacId}/license/auto-active
Get license auto active
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getAutoActive"
}Details, permissions and error codes
Get license auto active.
The interface requires one of the permissions:
Global License Manager View Only
modifyAutoActive
POST /openapi/v1/{omadacId}/license/auto-active
Modify license auto active
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema LicenseAutoActiveOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
autoActive | boolean | yes |
// omada_call_operation
{
"operationId": "modifyAutoActive",
"body": "{...}"
}Details, permissions and error codes
Modify license auto active.
The interface requires one of the permissions:
Site Bind/Unbind License Manager Modify
getAutoRenew
GET /openapi/v1/{omadacId}/license/auto-renew
Get license auto renew
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getAutoRenew"
}Details, permissions and error codes
Get license auto renew.
The interface requires one of the permissions:
Global License Manager View Only
modifyAutoRenew
POST /openapi/v1/{omadacId}/license/auto-renew
Modify license auto renew
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema LicenseAutoRenewOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
autoRenew | boolean | yes | Auto-Renewal,the licenses for active devices will be automatically renewed when they expire. |
// omada_call_operation
{
"operationId": "modifyAutoRenew",
"body": "{...}"
}Details, permissions and error codes
Modify license auto renew.
The interface requires one of the permissions:
Site Bind/Unbind License Manager Modify
getLicenseNumByCategory
GET /openapi/v1/{omadacId}/licenses/available-license
Get available license num
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
category | query | string | yes | It should be a value as follows: basic; ap; l2Switch; l3Switch; gateway |
// omada_call_operation
{
"operationId": "getLicenseNumByCategory",
"params": {
"category": "<category>"
}
}Details, permissions and error codes
Get available license number of the specified device category
The interface requires one of the permissions:
Global License Manager View Only
Site Bind/Unbind License Manager View Only
getSiteAutoRenew
GET /openapi/v1/{omadacId}/sites/{siteId}/license/auto-renew
Get site license auto renew
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSiteAutoRenew",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site license auto renew.
The interface requires one of the permissions:
Global License Manager View Only
modifySiteAutoRenew
POST /openapi/v1/{omadacId}/sites/{siteId}/license/auto-renew
Modify site license auto renew
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema LicenseAutoRenewOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
autoRenew | boolean | yes | Auto-Renewal,the licenses for active devices will be automatically renewed when they expire. |
// omada_call_operation
{
"operationId": "modifySiteAutoRenew",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site license auto renew.
The interface requires one of the permissions:
Site Bind/Unbind License Manager Modify